Bug 172269 - Broken rpm dependencies
Broken rpm dependencies
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cln (Show other bugs)
4
All Linux
medium Severity high
: ---
: ---
Assigned To: Quentin Spencer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 172270 172271
  Show dependency treegraph
 
Reported: 2005-11-02 00:24 EST by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.1.10-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-03 15:38:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-11-02 00:24:34 EST
Description of problem:
The update of cln from 1.1.9-4.fc4 to 1.1.10-1.fc4 breaks the package deps of
ginac and octave-forge.

Steps to Reproduce:
# yum update
..
--> Populating transaction set with selected packages. Please wait.
---> Package cln-devel.i386 0:1.1.10-1.fc4 set to be updated
---> Package cln.i386 0:1.1.10-1.fc4 set to be updated
--> Running transaction check
--> Processing Dependency: libcln.so.3 for package: ginac-utils
--> Processing Dependency: libcln.so.3 for package: ginac
--> Processing Dependency: libcln.so.3 for package: octave-forge
--> Finished Dependency Resolution
Error: Missing Dependency: libcln.so.3 is needed by package ginac-utils
Error: Missing Dependency: libcln.so.3 is needed by package ginac
Error: Missing Dependency: libcln.so.3 is needed by package octave-forge

Apparent cause is libcln.so having updated its SONAME.

Remedy: Either 
a) provide a compat-cln package containing libcln.so.3
b) rebuild all packages depending on libcln.so.3

The only safe way is a).
Comment 1 Quentin Spencer 2005-11-03 15:38:43 EST
ginac and octave-forge have been rebuilt, so the dependency breakage should now
be resolved.

Note You need to log in before you can comment on or make changes to this bug.